### Class

# Hinawa FwNode

since: 1.4

#### Description [src]

    class Hinawa.FwNode : GObject.Object
    {
      /* No available fields */
    }

An event listener for node in IEEE 1394 bus. `HinawaFwNode` listens to any events for an associated node in IEEE 1394 bus. Additionally, it provides some methods to retrieve fundamental information about the bus.

Available since: 1.4

#### Ancestors

- GObject

#### Constructors

###### hinawa_fw_node_new

Instantiate `HinawaFwNode` object and return the instance.

since: 1.4

#### Instance methods

###### hinawa_fw_node_create_source

Create `GSource` for `GMainContext` to dispatch events for the node on IEEE 1394 bus.

since: 4.0

###### hinawa_fw_node_get_config_rom

Get cached content of configuration ROM aligned to big-endian.

since: 4.0

###### hinawa_fw_node_open

Open Linux FireWire character device to operate node in IEEE 1394 bus.

since: 4.0

###### hinawa_fw_node_read_cycle_time

Read current value of CYCLE_TIME register in 1394 OHCI hardware dedicated to communicate with the associated node in IEEE 1394 bus.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Hinawa.FwNode:bus-manager-node-id

Node ID of node which plays role of bus manager at current generation of bus topology.

since: 1.4

###### Hinawa.FwNode:card-id

The numeric index for 1394 OHCI hardware used for the communication with the node. The value is stable against bus generation.

since: 4.0

###### Hinawa.FwNode:generation

Current generation of bus topology.

since: 1.4

###### Hinawa.FwNode:ir-manager-node-id

Node ID of node which plays role of isochronous resource manager at current generation of bus topology.

since: 1.4

###### Hinawa.FwNode:local-node-id

Node ID of node which application uses to communicate to node associated to instance of object at current generation of bus topology. In general, it is for 1394 OHCI hardware.

since: 1.4

###### Hinawa.FwNode:node-id

Node ID of node associated to instance of object at current generation of bus topology. This parameter is effective after the association.

since: 1.4

###### Hinawa.FwNode:root-node-id

Node ID of root node in bus topology at current generation of bus topology.

since: 1.4

#### Signals

###### Hinawa.FwNode::bus-update

Emitted when IEEE 1394 bus is updated. Handlers can read current generation in the bus via `HinawaFwNode:generation` property.

since: 1.4

###### Hinawa.FwNode::disconnected

Emitted when the node is not available anymore in Linux system. It’s preferable to call `g_object_unref()` immediately to release file descriptor.

since: 1.4

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HinawaFwNodeClass {
      GObjectClass parent_class;
      void (* bus_update) (
        HinawaFwNode* self
      );
      void (* disconnected) (
        HinawaFwNode* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`bus_update: void (* bus_update) ( HinawaFwNode* self )`

  No description available.

`disconnected: void (* disconnected) ( HinawaFwNode* self )`

  No description available.

#### Virtual methods

###### Hinawa.FwNodeClass.bus_update

Class closure for the `HinawaFwNode::bus-update`.

since: 1.4

###### Hinawa.FwNodeClass.disconnected

Class closure for the `HinawaFwNode::disconnected`.

since: 1.4